BizKitHub
DocsAPI ReferenceLedger/bff/ledger/period/create-next
postLedgerAdmin BFF

/bff/ledger/period/create-next

Open the next fiscal period

LedgerpostBffLedgerPeriodCreate-next

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24

Response schema

1 status code documented

200Success
successbooleanRequired
fiscalYearnumberRequired

Response example

application/json
{
  "success": false,
  "fiscalYear": 0
}

Request example

POST /bff/ledger/period/create-next

post
curl -X POST "https://api.bizkithub.com/bff/ledger/period/create-next" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key